#Stefan Brandl | s-brandl.com
#Importieren der turtle und grundlegende Einstellungen
from turtle import *
speed(11)
hideturtle()

#Festlegung von Werten
maximalWertX=10
maximalWertY=10
MaßstabX=maximalWertX/400
MaßstabY=maximalWertY/400


#Methoden definieren
def zeichneXAchse():
    shape("arrow")
    goto(0,0)
    setheading(0)
    pendown()
    forward(420)
    stamp()
    penup()
    for a in range(0, 420, 50):
        goto(a,10)
        pendown()
        goto(a,-10)
        penup()
        goto(a-10, -30)
        write(a*MaßstabX)
    penup()

def zeichneYAchse():
    shape("arrow")
    setheading(90)
    goto(0,0)
    pendown()
    forward(370)
    stamp()
    penup()
    for a in range(0, 370, 50):
        goto(10, a)
        pendown()
        goto(-10, a)
        penup()
        goto(-30, a-10)
        write(a*MaßstabY)
    penup()


def zeichePunkt(x,y,Dicke):
    shape("circle")
    penup()
    goto(x/MaßstabX,y/MaßstabY)
    shapesize(Dicke/10)
    write((x,y))
    stamp()
    shapesize(1)

def zeichneGerade(m,t):
    penup()
    for a in range(0, 400, 50):
        goto(a,a*(m*MaßstabY/MaßstabX)+(t/MaßstabY))
        pendown()
    penup()
    
#Programm
zeichneXAchse()
zeichneYAchse()
zeichePunkt(2,3,5)
zeichneGerade(2,3)
